Profile keywords for your business
This endpoint lets you view the monthly Google Business Profile search keywords for all your businesses subscribed to Presence Management.
To access the analytics of a business, you need to:
- have
READaccess on it - have subscribed to Presence Management for this business.
- You can access the search keywords from Google Business Profile.
The analytics on search keywords are made available by Google Business Profile on a monthly basis.
You will receive the following metrics:
- count: The sum of the number of unique users that used the keyword in a month
- threshold: A threshold value indicating that the actual value is less than the threshold. Google Business Profile typically displays for search keywords that were used less than 15 times in a month.
You can use the following filters:
- by businesses (businesses id in list, and restricted to one business when using the keyword dimension.)
- by date (analytics before and/or after a date)
- by branded status (branded vs discovery keywords)
The response can be aggregated by:
- business id
- by date: month or year
- by keyword
- by branded status (branded vs discovery)
The response can be ordered by:
- business id
- by date: month, or year
- by keyword
- by branded status
The response can be ordered in ascending or descending order by any of the selected dimensions or metrics.
Documentation Index
Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
List of analytics to return. At least one in that list.
count, threshold "metrics=count,threshold"
How the returned data will be aggregated. At most 'business' and one time dimensions of the list. If no dimension is given, the request will return the sum of each metric for all requested days and businesses.
business, keyword, month, year, branded "dimensions=keyword,month,branded"
Where the object is either a dimension or a metric and is used in the request. At most one in the list. - before a field to order_by DESC, nothing for ASC Available dimensions: business, keyword, month, year, branded Available metrics: count, threshold
<object>, -<object> "order_by=-count"
Filter by business ids
Business id
Filter by date.
Return all the analytics whose date >= given_date.
Filter by date.
Return all the analytics whose date <= give_date.
Filter by branded status.
true: Return only branded keywords (keywords associated with your brand)false: Return only discovery keywords (generic keywords not associated with your brand)
If not specified, returns both branded and discovery keywords.
"branded=true"
The page number you want to request.
x >= 1The maximum number of result items to return in a page.
The value defaults to 500, when it is not included.
x <= 500